Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 590789

Summary: hostapd-0.6.10 is available
Product: [Fedora] Fedora Reporter: John W. Linville <linville>
Component: hostapdAssignee: John W. Linville <linville>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: linville, sdwilsh, upstream-release-monitoring
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: hostapd-0.6.10-1.fc13 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 590607 Environment:
Last Closed: 2010-05-26 21:47:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 590607    
Bug Blocks: 596861    

Description John W. Linville 2010-05-10 17:46:19 UTC
+++ This bug was initially created as a clone of Bug #590607 +++

Latest upstream release: 0.6.10
Current version in Fedora Rawhide: 0.6.9
URL: http://w1.fi/hostapd/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

--- Additional comment from xose.vazquez@gmail.com on 2010-05-10 06:40:02 EDT ---


changelog: 2010-01-12 - v0.6.10

	* fixed SHA-256 based key derivation function to match with the
	  standard when using CCMP (for IEEE 802.11r and IEEE 802.11w)
	  (note: this breaks interoperability with previous version) [Bug 307]
	* fixed WPS selected registrar expiration for internal PIN registrar
	* disable PMTU discovery for RADIUS packets
	* fixed WPS UPnP SSDP on 32-bit targets
	* fixed WPS AP reconfiguration with drivers that do not use hostapd
	  MLME
	* fixed RSN parameter setting for multi-BSS case
	* added WPS workarounds for known interoperability issues with broken,
	  deployed implementation
	* update IEEE 802.11w implementation to match with the published
	  standard
	* fixed OpCode when proxying WSC_ACK or WSC_NACK from WPS ER
	* fixed proxying of WSC_NACK to WPS ER
	* fixed compilation with newer GnuTLS versions
	* added support for defining timeout for WPS PINs
	* fixed WPS Probe Request processing to handle missing required
	  attribute
	* fixed PKCS#12 use with OpenSSL 1.0.0

Comment 1 Fedora Update System 2010-05-10 17:55:19 UTC
hostapd-0.6.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hostapd-0.6.10-1.fc13

Comment 2 acount closed by user 2010-05-10 18:04:18 UTC
Did you notice?

 * fixed compilation with newer GnuTLS versions

Comment 3 John W. Linville 2010-05-10 18:10:04 UTC
I saw it -- is there something I should do about that?

Comment 4 acount closed by user 2010-05-10 18:34:58 UTC
(In reply to comment #3)

> I saw it -- is there something I should do about that?    

I thought you preferred gnutls to openssl:

* Wed Dec 16 2009 John W. Linville <linville@redhat.com> - 0.6.9-5
- Use openssl instead of gnutls (broken)

Comment 5 Fedora Update System 2010-05-10 21:51:39 UTC
hostapd-0.6.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hostapd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hostapd-0.6.10-1.fc13

Comment 6 Fedora Update System 2010-05-26 21:47:12 UTC
hostapd-0.6.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Shawn Wilsher 2010-05-27 02:49:46 UTC
Apparently hostapd 0.6.10 doesn't work so well with ath9k drivers according to Jouni Malinen here:
http://lists.shmoo.com/pipermail/hostap/2010-February/021118.html

I could not find a bug about this issue in their tracker, however.  Downgrading back to hostapd.x86_64 0:0.6.9-8.fc13 gets me a working hostapd again.

If I should file a new bug for this, please let me know.

Comment 8 John W. Linville 2010-05-27 12:46:26 UTC
Yes, please open a separate bug.

Comment 9 Shawn Wilsher 2010-05-27 16:38:19 UTC
(In reply to comment #8)
> Yes, please open a separate bug.    
I filed bug 596861 about it (I have insufficient privileges to set the dependency, however).